创建新订阅
POST /accounts/{account_id}/core/v1/subscriptions
指示要创建的 Subscription API 资源的所需值。
参数
| 名称 | Type | 在 | Required | Description |
|---|---|---|---|---|
account_id |
string |
path |
True |
包含帐户资源的 ID
|
请求正文
指示要创建的 Subscription API 资源的所需值。
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
资源的媒体类型。定义的值为:
|
version |
string |
True |
资源的版本。定义的值为:
|
customerProfileID |
string |
False |
未为试用期设置包含来自 "Authorize.net"的客户配置文件 ID 的 JSON 字符串,该字符串由 UI 调用。如果未设置,则在读取操作期间返回空字符串。定义的值为:
|
paymentFirstName |
string |
False |
包含用于付款计费的用户指定长格式名字的 JSON 字符串。仅在重新计费订阅时指定。定义的值为:
|
paymentLastName |
string |
False |
包含用于付款计费的用户指定长格式姓氏的 JSON 字符串。仅在重新计费订阅时指定。定义的值为:
|
paymentAddress |
False |
包含指定帐单地址的 JSON 字符串集合的 JSON 对象。仅在重新计费订阅时指定。如果此键存在,则所有六个包含的 JSON 字符串都将存在。如果用户未提供任何内容,则字符串将为空。 |
|
paymentProfileID |
string |
False |
包含由用户界面调用的付款账户 ID "Authorize.net" 的 JSON 字符串,未设置为试用期。如果未设置,则在读取操作期间返回空字符串。定义的值为:
|
paymentExpiry |
string |
False |
JSON 字符串,包含指示付款方式何时过期的时间戳。这是从 authorize.net](http://authorize.net) 获得的,由 UI 设置。定义的值为:
|
市场 |
string |
False |
JSON 字符串,表示将记录付款的账户的市场。定义值:
|
条款 |
string |
True |
表示帐户当前层的 JSON 字符串。定义的值为:
|
元数据 |
False |
与资源关联的客户端和服务指定的元数据。定义的值为:
|
请求示例
{
"type": "application/astra-subscription",
"version": "1.2",
"terms": "trial"
}
响应
Status: 201, Returns the newly created subscription resource in the JSON response body.
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
资源的媒体类型。定义的值为:
|
version |
string |
True |
资源的版本。定义的值为:
|
id |
string |
True |
资源的全局唯一标识符。定义的值为:
|
customerProfileID |
string |
True |
未为试用期设置包含来自 "Authorize.net"的客户配置文件 ID 的 JSON 字符串,该字符串由 UI 调用。如果未设置,则在读取操作期间返回空字符串。定义的值为:
|
paymentProfileID |
string |
False |
包含由用户界面调用的付款账户 ID "Authorize.net" 的 JSON 字符串,未设置为试用期。如果未设置,则在读取操作期间返回空字符串。定义的值为:
|
paymentExpiry |
string |
False |
JSON 字符串,包含指示付款方式何时过期的时间戳。这是从 authorize.net](http://authorize.net) 获得的,由 UI 设置。定义的值为:
|
purchaseOrderNumber |
string |
False |
包含付款方式的采购订单编号的 JSON 字符串。定义的值为:
|
市场 |
string |
False |
JSON 字符串,表示将记录付款的账户的市场。定义值:
|
licenseSN |
string |
False |
包含付款方式的许可证序列号的 JSON 字符串。定义的值为:
|
条款 |
string |
True |
表示帐户当前层的 JSON 字符串。定义的值为:
|
状态 |
string |
True |
表示订阅当前状态的 JSON 字符串。定义的值为:
|
appLimit |
数字 |
True |
表示此订阅的应用程序限制的 JSON 编号。值 -1 表示无限制。 |
namespaceLimit |
数字 |
True |
表示此订阅的命名空间限制的 JSON 编号。值 -1 表示无限制。 |
subscriptionPeriod |
数字 |
True |
表示订阅期限的 JSON 数字。值 -1 表示无限制。单位:天 |
gracePeriod |
数字 |
True |
JSON 数字,表示试用订阅过期或付费订阅被取消后的宽限期。单位:天 |
reminderBeforePeriod |
数字 |
True |
JSON 数字,表示在试用订阅结束之前客户通知将开始的天数。该值以天表示,值为 -1 表示不适用。 |
onboardStatus |
string |
True |
JSON 字符串,指示客户入职的当前状态。有效值为 "not started"、"in progress"、"success"、"failed"。定义的值为:
|
costPerAppUnit |
数字 |
True |
表示每个应用单位成本的 JSON 数字。对于试用版,值为 0。单位:美元 |
costPerNamespaceUnit |
数字 |
True |
表示每个命名空间单位成本的 JSON 数字。对于试用版,值为 0。单位:美元 |
元数据 |
True |
与资源关联的客户端和服务指定的元数据。定义的值为:
|
响应示例
{
"type": "application/astra-subscription",
"version": "1.2",
"id": "40b4106f-b743-5d83-95c7-d539b2b45f63",
"customerProfileID": "2157047189",
"paymentProfileID": "E7CEB0A9F1BECA32A02493E1B31D5955",
"paymentExpiry": "2022-02-01T00:00:00Z",
"purchaseOrderNumber": "72384632",
"marketplace": "netapp",
"licenseSN": "278343",
"terms": "trial",
"status": "active",
"appLimit": 0,
"namespaceLimit": 10,
"subscriptionPeriod": 90,
"gracePeriod": 7,
"reminderBeforePeriod": 30,
"onboardStatus": "in progress",
"costPerAppUnit": 0,
"costPerNamespaceUnit": 0.005,
"metadata": {
"labels": [],
"creationTimestamp": "2022-10-06T20:58:16.305662Z",
"modificationTimestamp": "2022-10-06T20:58:16.305662Z",
"createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
}
}
响应
Status: 401, Unauthorized
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
响应示例
{
"type": "https://astra.netapp.io/problems/3",
"title": "Missing bearer token",
"detail": "The request is missing the required bearer token.",
"status": "401"
}
响应
Status: 400, Bad request
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
|
invalidFields |
数组["invalidFields"] |
False |
无效请求正文字段列表 |
响应示例
{
"type": "https://astra.netapp.io/problems/5",
"title": "Invalid query parameters",
"detail": "The supplied query parameters are invalid.",
"status": "400"
}
响应
Status: 409, Conflict
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
|
invalidFields |
数组["invalidFields"] |
False |
无效请求正文字段列表 |
响应示例
{
"type": "https://astra.netapp.io/problems/10",
"title": "JSON resource conflict",
"detail": "The request body JSON contains a field that conflicts with an idempotent value.",
"status": "409"
}
响应
Status: 403, Forbidden
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
响应示例
{
"type": "https://astra.netapp.io/problems/11",
"title": "Operation not permitted",
"detail": "The requested operation isn't permitted.",
"status": "403"
}
错误
Status: 404, Not found
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
错误响应示例
{
"type": "https://astra.netapp.io/problems/2",
"title": "Collection not found",
"detail": "The collection specified in the request URI wasn't found.",
"status": "404"
}
定义
查看定义
paymentAddress
包含指定帐单地址的 JSON 字符串集合的 JSON 对象。仅在重新计费订阅时指定。如果此键存在,则所有六个包含的 JSON 字符串都将存在。如果用户未提供任何内容,则字符串将为空。
| 名称 | Type | Required | Description |
|---|---|---|---|
addressCountry |
string |
True |
包含与邮政地址关联的国家/地区名称或国家/地区代码的 JSON 字符串,如 ISO 3166 Alpha-2 中所指定。定义的值为:
|
addressLocality |
string |
True |
包含与邮政地址关联的地点(例如城市)的 JSON 字符串。定义的值为:
|
addressRegion |
string |
True |
包含与邮政地址关联的区域(例如州)的 JSON 字符串。定义的值为:
|
postalCode |
string |
True |
包含与邮政地址关联的邮政编码的 JSON 字符串。定义的值为:
|
streetAddress1 |
string |
True |
包含与邮政地址关联的街道地址的 JSON 字符串。定义的值为:
|
streetAddress2 |
string |
False |
包含可选辅助街道地址信息、邮政信箱等的 JSON 字符串。定义的值为:
|
类型 Astra 标签
| 名称 | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
|
value |
string |
True |
type_astra_metadata_update
与资源关联的客户端和服务指定的元数据。定义的值为:
-
符合 Astra 元数据架构如果在创建时未指定,则将创建没有标签的元数据对象。如果在更新时未指定,则元数据对象的标签、creationTimestamp 和 createdBy 将保留而不进行修改。
| 名称 | Type | Required | Description |
|---|---|---|---|
labels |
数组["类型 Astra 标签"] |
False |
|
creationTimestamp |
string |
False |
|
modificationTimestamp |
string |
False |
|
已创建 |
string |
False |
|
modifiedBy |
string |
False |
invalidParams
| 名称 | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
无效查询参数的名称 |
原因 |
string |
True |
查询参数无效的原因 |
invalidFields
| 名称 | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
无效请求正文字段的名称 |
原因 |
string |
True |
请求正文字段无效的原因 |